Gravv DOCS
Docs Agent Get Started
API Reference Start KYC verification

Start KYC verification

Initiates KYC verification for a customer. For business customers, complete KYC verification for every associated person before starting the business's verification.

POST/v1/customers/kyc/start

Headers

Required for POST requests. Reuse only for an identical retry.

Request Body

Customer ID to start KYC for

Request Examples

{
"customer_id": "d2581d3c-7c55-4607-9717-546694194636"
}

Responses

Status Description
200 KYC process started successfully
400 Invalid request
404 Customer or KYC record not found
409 KYC already completed for this customer
412 A required precondition was not met
500 Internal processing error during KYC initiation

200 response

Applicant review status from the verification process.

Request status

URL to complete the KYC process

Error information if the request failed

{
"data": {
"status": "success",
"web_url": "https://verify.gravv.xyz/websdk/p/example_token"
},
"error": null
}

400 response

Always null for error responses

Human-readable error message

{
"data": null,
"error": {
"code": "INVALID_REQUEST",
"message": "The customer ID provided is not valid. Please verify the customer ID format."
}
}

404 response

Always null for error responses

Human-readable error message

{
"data": null,
"error": {
"code": "CUSTOMER_NOT_FOUND",
"message": "Customer not found. Please verify the customer exists in our system."
}
}
{
"data": null,
"error": {
"code": "KYC_NOT_FOUND",
"message": "KYC record not found for the specified level."
}
}

409 response

Always null for error responses

Human-readable error message

{
"data": null,
"error": {
"code": "KYC_ALREADY_COMPLETED",
"message": "KYC verification has already been completed for this customer."
}
}

412 response

Always null for error responses

Human-readable error message

{
"data": null,
"error": {
"code": "INVALID_REQUEST",
"message": "missing required business documents"
}
}

500 response

Always null for error responses

Human-readable error message

{
"data": null,
"error": {
"code": "KYC_PROCESSING_ERROR",
"message": "failed to generate verification link"
}
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC